server {
  listen 80;
  server_name localhost;

  location / {
      root /var/www/html;
      index index.html;
      try_files $uri $uri/ /index.html;
  }

  location /_nuxt/ {
      alias /var/www/html/_nuxt/;
      expires 1y;
      add_header Cache-Control "public";
  }

  location ~ /\. {
      deny all;
  }

  error_page 404 /index.html;
  error_page 500 502 503 504 /50x.html;
  location = /50x.html {
      root /usr/share/nginx/html;
  }
}
